Ceased Support for Older Viki app versions

We will be ending support for older Viki app versions. Please update your Viki app to the following new minimum version required to continue watching Viki. You may learn how to update your Viki app here

iOS
  • Please update your Viki app to version 6.11.0 or newer by Jan 10th, 2022 to continue watching Viki.
Android
  • Please update your Viki app to version 6.3.3 or newer by Jan 19th, 2022 to continue watching Viki.
Kindle 
  • For existing users, please update your Viki app to version 6.7.0 or newer by Jan 13th, 2022 to continue watching Viki. 
Roku
  • Please update your Viki app to version 2.11.2 or newer by Jan 6th, 2022 to continue watching Viki.
Apple TV
  • Please update your Viki app to version 2.12.1 or newer by Jan 10th, 2022 to continue watching Viki.
Android TV 
  • Please update your Viki app to version 2.10.4 or newer by Jan 13th, 2022 to continue watching Viki.
Fire TV 
  • Please update your Viki app to version 2.9.0 or newer by Jan 13th, 2022 to continue watching Viki.


What if I’m not able to update my Viki app?

If your device is incompatible with the new minimum Viki app version, you can try to update your device's OS, before installing the new app version.

Learn about our supported devices and minimum OS requirements here

 

Was this article helpful?
6 out of 6 found this helpful

Comments

0 comments

Article is closed for comments.